// body {
//   box-sizing: border-box;
// }
const ac = {
    display: 'flex',
    alignItems: 'center',
};
const jc = {
    display: 'flex',
    justifyContent: 'center',
};
const jsb = {
    display: 'flex',
    justifyContent: 'space-between',
};
const psrl = {
    position: 'relative',
};
const cResize = {
    cursor: 'ew-resize',
};
const cCross = {
    cursor: 'crosshair',
};
const rbgcpControlIconBtn = {
    width: '30px',
    height: '24px',
    borderRadius: '4px',
    display: 'flex',
    alignItems: 'center',
    justifyContent: 'center',
    position: 'relative',
};
const rbgcpEyedropperCover = {
    position: 'fixed',
    left: '0px',
    top: '0px',
    zIndex: 100000000,
    width: '100vw',
    height: '100vh',
    cursor: 'copy',
};
const rbgcpHandle = {
    position: 'absolute',
    border: '2px solid white',
    borderRadius: '50%',
    boxShadow: '0px 0px 3px rgba(0,0,0,.5)',
    width: '18px',
    height: '18px',
    zIndex: 1000,
    transition: 'all 10ms linear',
};
const rbgcpCanvasWrapper = {
    borderRadius: '6px',
    overflow: 'hidden',
    height: '294px',
};
const rbgcpCheckered = {
    background: `linear-gradient(45deg, rgba(0, 0, 0, 0.18) 25%, transparent 25%, transparent 75%, rgba(0, 0, 0, 0.18) 75%, rgba(0, 0, 0, 0.18) 0),
    linear-gradient(45deg, rgba(0, 0, 0, 0.18) 25%, transparent 25%, transparent 75%, rgba(0, 0, 0, 0.18) 75%, rgba(0, 0, 0, 0.18) 0), white`,
    backgroundRepeat: 'repeat, repeat',
    backgroundPosition: '0px 0, 7px 7px',
    webkitTransformOrigin: '0 0 0',
    transformOrigin: '0 0 0',
    webkitBackgroundOrigin: 'padding-box, padding-box',
    backgroundOrigin: 'padding-box, padding-box',
    webkitBackgroundClip: 'border-box, border-box',
    backgroundClip: 'border-box, border-box',
    webkitBackgroundSize: '14px 14px, 14px 14px',
    backgroundSize: '14px 14px, 14px 14px',
    webkitBoxShadow: 'none',
    boxShadow: 'none',
    textShadow: 'none',
    webkitTransition: 'none',
    mozTransition: 'none',
    oTransition: 'none',
    transition: 'none',
    webkitTransform: 'scaleX(1) scaleY(1) scaleZ(1)',
    transform: 'scaleX(1) scaleY(1) scaleZ(1)',
    borderRadius: '10px',
};
const rbgcpOpacityOverlay = {
    position: 'absolute',
    left: '0px',
    top: '0px',
    width: '100%',
    height: '100%',
    borderRadius: '10px',
};
const rbgcpGradientHandleWrap = {
    position: 'absolute',
    zIndex: 10000,
    top: '-2px',
    outline: 'none',
};
const rbgcpGradientHandle = {
    border: '2px solid white',
    borderRadius: '50%',
    boxShadow: '0px 0px 3px rgba(0,0,0,.5)',
    width: '18px',
    height: '18px',
    display: 'flex',
    alignItems: 'center',
    justifyContent: 'center',
};
// DARK STYLES
// const rbgcpInputLabel = {
//   color: 'rgb(212,212,212)',
// }
// const rbgcpControlBtnWrapper = {
//   background: 'rgb(54,54,54)',
// }
// const rbgcpInput = {
//   border: 'none',
//   color: 'white',
//   background: 'rgb(54,54,54)',
// }
// const rbgcpControlBtn = {
//   color: 'rgb(212,212,212)',
// }
// const rbgcpControlIcon = {
//   stroke: 'rgb(212,212,212)',
// }
// const rbgcpControlIcon2 = {
//   fill: 'rgb(212,212,212)',
// }
// const rbgcpControlInput = {
//   color: 'white',
// }
// const rbgcpControlBtnSelected = {
//   background: 'black',
//   color: '#568CF5',
// }
// const rbgcpDegreeIcon = {
//   color: 'rgb(212,212,212)',
// }
// const rbgcpColorModelDropdown = {
//   background: 'rgb(32,32,32)',
// }
// const rbgcpComparibleLabel = {
//   color: 'rgb(212,212,212)',
// }
const light = {
    c1: 'rgb(86,86,86)',
    c2: 'rgb(50, 49, 54)',
    c3: '#e9e9f5',
    c4: 'black',
    c5: '#323136',
    c6: 'white',
};
const dark = {
    c1: 'rgb(212,212,212)',
    c2: 'rgb(212,212,212)',
    c3: 'rgb(54,54,54)',
    c4: 'white',
    c5: 'rgb(212,212,212)',
    c6: 'black',
};
export const useStyles = (theme) => {
    const rbgcpControlBtn = {
        paddingLeft: '8px',
        paddingRight: '8px',
        lineHeight: 1,
        borderRadius: '4px',
        fontWeight: 700,
        fontSize: '12px',
        height: '24px',
        transition: 'all 160ms ease',
        display: 'flex',
        alignItems: 'center',
        justifyContent: 'center',
        background: 'rgba(255,255,255,0)',
        boxShadow: '1px 1px 3px rgba(0,0,0,0)',
        color: [theme]?.c1,
    };
    const rbgcpControlIcon = {
        stroke: [theme]?.c2,
    };
    const rbgcpControlBtnWrapper = {
        height: '28px',
        background: [theme]?.c3,
        borderRadius: '6px',
        padding: '2px',
        display: 'flex',
        justifyContent: 'center',
        alignItems: 'center',
        position: 'relative',
    };
    const rbgcpColorModelDropdown = {
        position: 'absolute',
        right: '-2px',
        top: '34px',
        padding: '5px',
        background: [theme]?.c3,
        zIndex: 100000000,
        borderRadius: '6px',
        boxShadow: '1px 1px 14px 1px rgba(0,0,0,.25)',
    };
    const rbgcpControlInput = {
        height: '24px',
        borderRadius: '4px',
        border: 'none',
        outline: 'none',
        textAlign: 'center',
        width: '34px',
        fontWeight: 500,
        color: [theme]?.c2,
        fontSize: '13px',
        background: 'transparent',
    };
    const rbgcpInputLabel = {
        textAlign: 'center',
        lineHeight: 1.2,
        fontWeight: 700,
        color: [theme]?.c1,
        fontSize: '11px',
    };
    const rbgcpInput = {
        height: '32px',
        borderRadius: '6px',
        border: '1px solid #bebebe',
        width: '100%',
        padding: '2px',
        outline: 'none',
        color: [theme]?.c4,
        fontWeight: 400,
        textAlign: 'center',
    };
    const rbgcpControlIcon2 = {
        fill: [theme]?.c5,
    };
    const rbgcpControlBtnSelected = {
        background: [theme]?.c6,
        color: '#568CF5',
        boxShadow: '1px 1px 3px rgba(0,0,0,.2)',
    };
    const rbgcpComparibleLabel = {
        color: [theme]?.c5,
    };
    return {
        ac,
        jc,
        jsb,
        psrl,
        cCross,
        cResize,
        rbgcpInput,
        rbgcpHandle,
        rbgcpCheckered,
        rbgcpInputLabel,
        rbgcpControlBtn,
        rbgcpControlIcon,
        rbgcpControlInput,
        rbgcpControlIcon2,
        rbgcpCanvasWrapper,
        rbgcpControlIconBtn,
        rbgcpOpacityOverlay,
        rbgcpGradientHandle,
        rbgcpEyedropperCover,
        rbgcpComparibleLabel,
        rbgcpControlBtnWrapper,
        rbgcpColorModelDropdown,
        rbgcpGradientHandleWrap,
        rbgcpControlBtnSelected,
    };
};
